Generate video with Kling 3.0 Standard
curl --request POST \
--url https://api.budgetpixel.com/v1/videos/kling-v3.0-standard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"aspect_ratio": "16:9",
"end_image": "<string>",
"generate_audio": true,
"image": "<string>",
"length_seconds": 5
}
'import requests
url = "https://api.budgetpixel.com/v1/videos/kling-v3.0-standard"
payload = {
"prompt": "<string>",
"aspect_ratio": "16:9",
"end_image": "<string>",
"generate_audio": True,
"image": "<string>",
"length_seconds": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
aspect_ratio: '16:9',
end_image: '<string>',
generate_audio: true,
image: '<string>',
length_seconds: 5
})
};
fetch('https://api.budgetpixel.com/v1/videos/kling-v3.0-standard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.budgetpixel.com/v1/videos/kling-v3.0-standard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => '<string>',
'aspect_ratio' => '16:9',
'end_image' => '<string>',
'generate_audio' => true,
'image' => '<string>',
'length_seconds' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.budgetpixel.com/v1/videos/kling-v3.0-standard"
payload := strings.NewReader("{\n \"prompt\": \"<string>\",\n \"aspect_ratio\": \"16:9\",\n \"end_image\": \"<string>\",\n \"generate_audio\": true,\n \"image\": \"<string>\",\n \"length_seconds\": 5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.budgetpixel.com/v1/videos/kling-v3.0-standard")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"<string>\",\n \"aspect_ratio\": \"16:9\",\n \"end_image\": \"<string>\",\n \"generate_audio\": true,\n \"image\": \"<string>\",\n \"length_seconds\": 5\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.budgetpixel.com/v1/videos/kling-v3.0-standard")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"<string>\",\n \"aspect_ratio\": \"16:9\",\n \"end_image\": \"<string>\",\n \"generate_audio\": true,\n \"image\": \"<string>\",\n \"length_seconds\": 5\n}"
response = http.request(request)
puts response.read_body{
"characters": [
{
"handle": "barry",
"name": "Barry",
"official": true,
"page_url": "<string>"
}
],
"id": "<string>",
"message": "<string>",
"model": "<string>",
"status": "pending"
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}Kling
Generate video with Kling 3.0 Standard
Kuaishou Kling 3.0 in Standard mode (720p) — text-to-video, plus image-to-video with a start frame and an optional end frame. Any duration from 3 to 15 seconds. Optional generated audio. Billed per second of output: 219 credits per second without audio, 328 with generated audio (POST /v1/cost quotes any request).
Asynchronous. Returns a job id (the video is not in this response). Poll GET /v1/videos/{id} until status is succeeded — the video URL is in that response’s video_url.
Examples, sample output and pricing: Kling 3.0 Standard
POST
/
videos
/
kling-v3.0-standard
Generate video with Kling 3.0 Standard
curl --request POST \
--url https://api.budgetpixel.com/v1/videos/kling-v3.0-standard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"aspect_ratio": "16:9",
"end_image": "<string>",
"generate_audio": true,
"image": "<string>",
"length_seconds": 5
}
'import requests
url = "https://api.budgetpixel.com/v1/videos/kling-v3.0-standard"
payload = {
"prompt": "<string>",
"aspect_ratio": "16:9",
"end_image": "<string>",
"generate_audio": True,
"image": "<string>",
"length_seconds": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
aspect_ratio: '16:9',
end_image: '<string>',
generate_audio: true,
image: '<string>',
length_seconds: 5
})
};
fetch('https://api.budgetpixel.com/v1/videos/kling-v3.0-standard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.budgetpixel.com/v1/videos/kling-v3.0-standard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => '<string>',
'aspect_ratio' => '16:9',
'end_image' => '<string>',
'generate_audio' => true,
'image' => '<string>',
'length_seconds' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.budgetpixel.com/v1/videos/kling-v3.0-standard"
payload := strings.NewReader("{\n \"prompt\": \"<string>\",\n \"aspect_ratio\": \"16:9\",\n \"end_image\": \"<string>\",\n \"generate_audio\": true,\n \"image\": \"<string>\",\n \"length_seconds\": 5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.budgetpixel.com/v1/videos/kling-v3.0-standard")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"<string>\",\n \"aspect_ratio\": \"16:9\",\n \"end_image\": \"<string>\",\n \"generate_audio\": true,\n \"image\": \"<string>\",\n \"length_seconds\": 5\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.budgetpixel.com/v1/videos/kling-v3.0-standard")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"<string>\",\n \"aspect_ratio\": \"16:9\",\n \"end_image\": \"<string>\",\n \"generate_audio\": true,\n \"image\": \"<string>\",\n \"length_seconds\": 5\n}"
response = http.request(request)
puts response.read_body{
"characters": [
{
"handle": "barry",
"name": "Barry",
"official": true,
"page_url": "<string>"
}
],
"id": "<string>",
"message": "<string>",
"model": "<string>",
"status": "pending"
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}Kling 3.0 Standard on BudgetPixel
More examples, prompts and pricing.
Authorizations
Body
application/json
Response
Job accepted.